---

argo_realm_name: &argoname 'argocd'
argo_realm_display_name: *argoname

argo_realm_group: argoadmins # shouldn't be 'admin' due to default adminuser called 'admin' in argo
argo_keycloak_clientscope_protocol: openid-connect
argo_keycloak_clientscope_name: groups
argo_client_id: *argoname

argo_client_root_url: 'https://{{ shared_service_kube_argocd_hostname }}'
argo_client_redirect_uris:
  - 'https://{{ shared_service_kube_argocd_hostname }}/auth/callback'
argo_client_base_url: '/applications'
argo_client_admin_url: 'https://{{ shared_service_kube_argocd_hostname }}'
argo_client_web_origins:
  - 'https://{{ shared_service_kube_argocd_hostname }}'

argo_realm_users: [
  {
    "username": "{{ argocd_admin_username }}",
    "password": "{{ argocd_admin_password }}",
    "requiredActions": []
  }
]
